Contract
Contract
Address
Crob Software Studio
Shanghai Pudong software Park
Room 508-512, No 498. Guo Shou Jin Road
Shang Hai
China
Postal Code: 201203
Technical support
support@crob.net
Sales
sales@crob.net
Bug report
crob@crob.net
Webmaster
webmaster@crob.net
Home
http://www.crob.net/studio/ftpserver/

Crob FTP Server Help Copyright 1999-2003 Crob Software Studio, All Rights Reserved


Introduction

Crob FTP Server
Crob FTP Server is a powerful and flexible FTP Server with full user management and network control for Windows 95/98/ME/2000/XP/WIN.NET
With Crob FTP Server, your PC will be turned into an FTP server.
Crob FTP Server using the standard FTP protocol (File Transfer Protocol). About FTP protocol, refer to www.w3.org and to find RFC959 reference.
Supports unlimited number of concurrent connections.
Full FTP account management. You can define accessing authority for each user login Account. Alos you can define for each user account. The user group feture can manage users in a group.
With Crob FTP Server wizard tools, it lead you to build a new server or to create a new FTP account step by step.
Crob FTP Server uses more than one encrpytion tachniques to provide strong encryption for any server and user information.
Features
Run as a Windows service on Windows95/98/NT/2000/ME.
Using the standard FTP protocol (File Transfer Protocol).
Customize your log file. High performance file struct to support search and class log information in more than millions records.
Supports unlimited number of concurrent connections.
More wizard tools to lead user to config server in easy way.
Using more than one encryption to make the server information safely
Powerful Anti Attack function.
Server Schecule
User transfer speed control.
Manage users in the user group.
Crob Software Upgrade system. Make you software up to date
All Standard FTP Client Supported
NetAnts
LeapFTP
CuteFTP
FlashFXP
TurboFTP
Bullet Proof FTP
3D-FTP
FTP Voyager
Absolute FTP
WS_FTP (Pro)
FlashGet
More FTP Client use standard FTP Protocol supported!
Support FTP Command lines in MS-DOS mode


Licence Agreement

License Agreement
Please read the Master End-User License Agreement below. If you do not agree to the terms of this agreement promptly return your distribution materials to the place you obtained them for a full refund or delete your trial package.
END-USER LICENSE AGREEMENT
This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity)("CUSTOMER") and Crob Software Studio. ("LICENSEE") for the software product "Crob FTP Server", which include(s) computer software, "online" or electronic documentation, and may include associated media and printed materials ("SOFTWARE PRODUCT").

The LICENSEE has been granted the authority to sub-license the SOFTWARE to you the CUSTOMER by Crob Software Studio("LICENSOR"). The LICENSOR is an intended third-party beneficiary and retains the right to enforce the EULA on its own behalf.

By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, promptly return the entire unused SOFTWARE PRODUCT, including all subscription updates that you may have received as part of the SOFTWARE PRODUCT, to the place from which you obtained it for a full refund and/or delete all files related to your trial demonstration version of the SOFTWARE PRODUCT.

SOFTWARE LICENSE AGREEMENT
This SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold. The SOFTWARE PRODUCT consists of product documentation, a server application identified here as "SERVER", and support files individually identified as "COMPONENT" and collectively referred to herein as "SOFTWARE".

GRANT OF LICENSE. Crob Software Studio. grants to you as an individual, a personal, non-exclusive, non-transferable license to install and execute a single instance of the SERVER on a single computer or on multiple computers provided that there is no chance of concurrently running two or more distinct instances of the SERVER simultaneously. You may install the SOFTWARE PRODUCT without the SERVER on multiple computers as long as this is solely for communicating with and administrating the SERVER.

TRIAL and REGISTRATION. You are granted the right to use the SOFTWARE PRODUCT without registration solely for the purposes of evaluating the performance of the SOFTWARE PRODUCT for a period of no more than 30 days. If after that time continued use of the SOFTWARE PRODUCT is desired then the SOFTWARE PRODUCT must be registered with Crob Software Studio. If you are an entity Crob Software Studio grants you the right to appoint an individual within your organization to use and administer the SOFTWARE subject to the same restrictions enforced on individual users.

COPYRIGHT. All title and copyrights in and to the SOFTWARE PRODUCT are owned by Crob Software Studio, its suppliers, or component vendors. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE PRODUCT like any other copyrighted material except that you may make one copy of the SOFTWARE PRODUCT solely for backup or archival purposes and install the SOFTWARE PRODUCT on one or more computers as limited by and outlined in the grant of license above. You may not copy the printed materials accompanying the SOFTWARE PRODUCT.

DISCLAIMER OF WARRANTY
NO WARRANTIES. THE SOFTWARE PRODUCT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, Crob Software Studio DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE AND ANY WARRANTY AGAINST INFRINGEMENT, WITH REGARD TO THE SOFTWARE PRODUCT. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE OTHERS WHICH VARY FROM STATE TO STATE.

CUSTOMER REMEDIES. Crob Software Studio'S ENTIRE LIABILITY AND YOUR EXCLUSIVE REMEDY SHALL NOT EXCEED THE PRICE PAID FOR THE SOFTWARE. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL Crob Software Studio BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THIS SOFTWARE PRODUCT, EVEN IF Crob Software Studio HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Purchase
To buy Crob FTP Server, refer to here
For new pricing, refer to here.
Why to buy Crob FTP Server

Unregistered version will shut itself down after 3 hours. Only allowed to build two FTP Server and five FTP user per server. There are only three Virtual Direcory allowed. Read the upgrade policy for more information.
To register Crob FTP Server, you can get:
 | Unlimited server run time.
 | Unlimited number of user account.
 | Unlimited number of FTP Server
 | Unlimited number of virtual directory.
 | Free upgrade to new version in the future. Read the upgrade policy for more information.
 | All functions in the program


Registration
Please read the Master End-User License Agreement. If you do not agree to the terms of this agreement promptly return your distribution materials to the place you obtained them for a full refund or delete your trial package.
The function limit of Unregistered version
Unregistered version will shut itself down after one hour. Only allowed to build two FTP Server and five FTP user per server.
New pricing

Current pricing can be found at: http://www.crob.net/studio/ftpserver/purchase.htm
How to register?
After you register, you will receive the registration code, which will be based on your name and E-Mail address. As soon as you enter your user name, E-Mail and registration code in the Help - Enter Register Code dialog box, All functions will be opened.

After you register, you will be eligible for support via email, you also will receive free minor updates and bug fixes.
When you buy a copy of Crob FTP Server, you will get minor updates and bug fixes for free.

To register, visit http://www.crob.net/studio/ftpserver/purchase.htm


Upgrade Ploicy

Upgrade Policy
Crob FTP Server Upgrade Policy
Free Updates and Bug Fixes
When you buy a copy of Crob FTP Server, you will get minor updates and bug fixes for free.
How to Get The Crob FTP Server Update
There are many way to update the Crob FTP Server.
Use the Crob FTP Server in the software package to upgrade the program component to the last release edition. For the new Crob FTP Upgrade program, click here.
Download the new version setup package in the product setup file or update package. To download new release edition, click here
Give us a email to ask for new release software package. We'll send the install files to you. Want to get new install files. Please email to support@crob.net


Custom Message Variables

Custom messages can be configured by user. The following is a list of variables which can be used to display information within the context of the server response message.
%VER%
 | The current version of the server.
%SERVERNAME%
 | Display name of the server.
%MAXCONN%
 | Maximum cocurrent connections server allows.
%USER%
 | Display user name.
%BLOCKSECS%
 | Secs to block user when touch Anti-Attack.
%CIP%
 | Client IP address.
%CONNTIMEOUT%
 | Client connection timeout secs.
%FILESIZE%
 | Maximum file size that user can upload.
Crob FTP Server Help Copyright 1999-2003 Crob Software Studio, All Rights Reserved


Menus
You can perform all operations through Crob FTP Server program menus. Depending on your selection or the program's active window, some menu items may be disabled.

File Menu
Upgrade software | Run Crob Software Upgrade to check the new component of the program
Auto upgrade software | Make this menu item to yes, the software will auto check new component of the program

Exit

Terminate the program.

Tools Menu

Build new Sserver wizard

Open the Build new server wizard tool

Remove FTP server

Remove the selected FTP Server. If no server selected. This item will be disabled.

Server setting wizard

Open the Server Setting Wizard dialog. If no server selected. This item will be disabled.

Backup server wizard

Open the Backup Server Wizard dialog. If no server selected. This item will be disabled.

Restore server wizard

Open the Restore server wizard tool
User group wizard | Open the user group wizard tool

Auto run with system

This menu has a check mark to set whether the program be ran with system.
Options... | Open the options dialog.

Server Menu

Start All Server

Start All Server which not be started.

Stop All Server

Stop All server which is active

Stop

Stop the selected server

Start

Start the selected server

Server Message

Goto the Server Message page

Server Settings

Goto the Server Setting page

Create a New User

Goto the Create New User page

User Management

Goto the main page of user management

Online User Management

Goto the main page of online user management

View Menu

Help Menu

About

Open about dialog

Help

Open the help file

Enter Register code

Open dialog to enter register code


Online User management
Select "Online User" item in the server tree.
You can see the Online User report. All online user will be listed in it.
Auto refresh online user list
Make the 'auto refresh' check box to yes. The user list will auto refresh when the information changed.
Kick a user
Select one or more online user in the report. Click "Kick" button in the top of pane. Then the users will be kicked.
Get the detail information of online user
Double click the user in the online user report will goto the single user detail information pane. It'll show you the more information of the online user which you selected. it's the save entry of to click the 'Detail' button in the top of pane.


Server Log
The server log pane has three page. There are 'Today', 'History' and 'Log file status'.
Today page
This page show the list of today log records.
History page
This page show the history log records. You can setup the date range to show the log information customize.
Log file status page

This page show you the log file status. Include log file size, comparess rate, records count etc.


Server Settings

When you select Server Settings menu item or click the Server Settings in the server tree, the Server Settings page is opened and you can change any server property in it.
Buttons at the top
Save Settings |  |  | Save the all setting
Restore Settings |  |  | Discard all change and to restore the old settings.
Wizard |  |  | Goto the server setting wizard. About server setting wizard, please refer to here.
General
 | Port |  | The FTP port that the server listen on, standard FTP port is 21
 | Max connections |  | Maximum cocurrent connections the server allows, 0 means no limit
 | Idle timeout |  | Maximum seconds for user idle status
 | Max System Message Lines |  | Max lines of system message to save
 | Auto Start Server |  | If the FTP server auto start work when you start the program
 | Passive Mode |  | To support passive mode.
 | Support FXP transmission |  | Support FXP (File exchange Protocol)
 | Lowercase path |  | When set to yes, all file names and directory names are lowercase in file list
 | Delete partial upload file |  | When set to yes, the server will delete the uploaded file when receives ABOR command or any error occurs during file uploading
 | Delete file to recyclebin |  | Delete file to system recyclebin when user delete a file from server.
 | Anonymous User Setting |  | Switch to the Anonymous user setting page.
Default
 | Home Directory | Default home directory of this server. If you create a new user. It'll using this home directory at first time. You can change the different home directory for each user.
 | Make the user home directory synchronization | Change all user home directory to the new home directory at this operation.
 | Default User Access authority | Default user access settings. If you create a new user. It'll using the default access authority at first time.
Security
 | Check password of anonymous |  | If check the anonymous login password. The password is "guest"
 | Max connections per IP |  | Maximum cocurrent connections from the same IP, 0 means no limit
 | Anti Attack
 | Block connection when try to attack |  | Enable or disable the Anti Attack.
 | Connection times in short times |  | How many connections a client tries in a short time
 | Define the short time(sec.) |  | How many seconds the short time is.
 | Block time(secs.) |  | When the client does so, how many seconds to block it for.
IP Rules
 | Any IP available |  | Not use IP rules. Allow any IP to connect to the server.
 | Deny IP connection |  | Deny the IP connections which in the IP address list you set.
 | Accept connection only from special IP |  | Accept the cnnection online from IP which in the IP address list you set
 | For more IP rules informations, please refer to here.
Network
 | Directory Cache | Recuces the server's hardisk operation
 | Max dached Listing |  | Max directory listings will be cached.
 | Cache timeout (secs.) |  | The cached listing timeout seconds. It will be deleted when the cache is timeout.
 | Socket Options | To set a socket option
 | Send Buffer |  | Specify buffer size for sends.
 | Receive Buffer |  | Specify buffer size for receives.
 | Send keep alives |  | Send keep-alives.
Server Log
 | Log File | The log file's fullpath name
 | Max log file size | The upper limit of log file size
 | Logging Item | Item list of logging. It has 10 logging item and to select them in active or inactive status.
Message
 | Message list | Here listd the all server response message. They can be configured by user.
Schedule
 | Using Schedule | Open or close the server schecule
 | Date | Set the day scope of schedule.
 | Time | The time of start server and stop server in every day
Crob FTP Server Help Copyright 1999-2003 Crob Software Studio, All Rights Reserved


Server Tree

About Server List (In the left side)

All server will be listed into the Server List dockable window. You can find it dock in the left side of main frame. It make up of two part. At the top is the stop or start server buttons. At the bottom is server functions tree.
Each server has them own tree. The root item is the server name. The sub item is the functions of this server.
 | Server Message | Goto the server message pane
 | Server Log | Goto the server log pane. You can set the log item in the server setting pane
 | Statistical | Under construction...
 | Server Settings | Goto the server settings pane
 | Online User | The online usertree. Click it goto the online user list pane. It include three sub item. They are "All online user","Upload" and "Download". About online user management, please refer to here.
 | User Management | Goto the user management main pane. About user management, please refer to here.
 | Add New FTP User | Goto the create new user pane. About create a new user, pleaser refer to here.
Crob FTP Server Help Copyright 1999-2003 Crob Software Studio, All Rights Reserved


Software Upgrade
We provide 'Crob Software Upgrade' to upgrade the software up to date.
Select "Software Upgrade" menu item in the 'File' menu
The Crob Software upgrade will be run. Before run this upgrade program, all service of Crob FTP Server should be terminate.
Click 'Upgrade Crob FTP Server' int he upgrade program. All upgrade operation will be run automatically.
To disable the "Auto Upgrade Software"
Set the option "Auto Upgrade" from "File" menu. set it in yes or no will disable or enable the auot upgrade software.


User management
Select "User management" item in the server tree.
You can see the main pane of user management. There three button in this pane. They are "All User", "User (Allowed)", "User (Forbidden)". Click these button goto the classified user report.
Also you can enter the user report in the subitem of "User management"
Find a user
In the User Management pane, you can find a user by user name.
Input the user name in the Search user edit box and click Search button. If the user is found, it'll show the user setting pane. If it's not find, it'll message you.
Users Report
If you click the any subitem of User Management, the Users Report will be showed. You can check the user status in this report. Double click the record of a user will goto the user setting pane.


User Settings
When you select a user int user management, the User Settings page is opened and you can change any user property in it.
General
Active | Make the user active. It means that user can use this account.
Forbidden | Forbid the user. The account will be froze.
Modify User Name | Modify the user name. The user name is the name which requested in login
Change Password | Modify the FTP login password.
Passive Mode | To use passive moce. About passive moce, click here.
Vaild before date | If you set this option in true, the account will tired after this date.
Home Directory
Home Directory | The home directory of this user.
Home Directory Access | The visit access of home directory
Virtual Directory
About virtual directory, refer to here.
Security
Max connections per IP | The count of ip that user can connect to the server at on time.
Max upload file size | Maximum single file size (kb) that the user can upload, 0 means no limit
Show hidden file/directory | Show the hidden attribute file or directory to user when user login server
Show system file/directory | Show the system attribute file or directory to user when user login server
Last, you must save the setting. Click 'Save setting' button in the top of pane.


About Virtual Directory
The administrator can define unlimit number of virtual directory to every FTP user account.
How to add a new virtual directory?
Select Virtual Directory in user setting pane
Threr are three panes in Virtual Directory setting pane.
Select a physical path in system directory listbox
All physical disc of current computer will be listed in it.
Select the access authority of virtual directory
Now we have seven accessing item to select.
Input the alias of this virtual directory
The virtual directory must have a alias which will be showed to user
Click "Add" button. The virtual directory will be added
Last, you must save the setting. Click 'Save setting' button in the top of pane.
How to modify a virtual directory?
Select a virtual directory in list
The system directory tree and access select box in the above will changed base on you selected.
Change the alias editbox or access list into new value.
Save the change
Last, you must save the setting. Click 'Save setting' button in the top of pane.


Program Windows
Crob FTP Server has two main panes.

1: On the left side is the server tree. All server listen into diferent port will be listed in it. The server tree window is dockable.

2: The right side is the operation window. It will chang to the special page follow the operation of server tree

3: On the top are the menus and the toolbar.


How to create a new user?

Select "Add New FTP User" item in server tree.
Input user name and login password.
 | The length of user name must more than 4 character. The langth of password must more than 6 character.
If switch to user settings pane after this operation.
 | If you set this option to yes, it'll be switched to user settings pane of this new user account.
Vaild before date
 | If you set this option to yes, this account will be invalid after the date that you set.
After these operations, it will goto the user setting pane of new user.
Crob FTP Server Help Copyright 1999-2003 Crob Software Studio, All Rights Reserved


How To Build a New FTP Server?
It's an easy way to build a new FTP Server with Build New Server Wizard in Crob FTP Server. You can build a new server step by step with it. And now, let's see how to do it.
Select Build New Server Wizard in tools menu or click tool button in the Tool Bar.
Input a server name which you want to create

The FTP server must between 4 and 50 character. Click the next botton goto next page.
Input a FTP Listening Port

All user of this server will connect to base on this port.
Select a Home Directory to New FTP Server

It's the default FTP home directory for all new user. When you create a new ftp user, the ftp home directory of new user will be defined to this directory. Also you can change to another directory for each user.
Set Basic FTP Options

To change the system default settings if it is necessary. The other options of new FTP server will be set into system default value. You can check and mofify them into Server Settings page in the future.
Check you Settings and finish the operation

The last step will review the settings you selected. Please check it and click Finish button to finish the operation.

When wizard finished,you can see the new FTP Server which you named is list in the Server tree. You have already had two users in new FTP server. The one is Anonymous and the another is demo. The demo is created by wizard. It's initialization password is "123456".


How to create a user group?

User group is a new feature in ftp server user management. A user group can include many users. The users in the user group will use the settings of user group.

Select "User group wizard" in the Tools Menu
Select a FTP server which you want to set

All activity FTP server will be listed here. Select one and click 'Next' button.
Input group name for the new user group

Type a name for new user group. The length of name must between 4 and 100 characters.
Select users for the new user group

You will find all users listed here. Make the user to yes which you want to add to the new user group and click 'Next' button.
Set options for the new user group

Set options for new user group. All user you selected in the prior step will use the settings of you set at here.
You can set such as 'Max download speed','Max upload speed' parameters here. Also you can reset these options in the user group pane in the future.
Select a home directory for the new user group

Select a directory that is the home directory of the new user group. All user in this user group will use this directory setting.

Check the information and finish the operation


How To Remove a FTP Server?

You can remove a FTP server in Crob FTP Server which is defined by custom.

Select a existent server in the server tree

You must select a existent server on the server tree at first.
Select "Remove FTP Server " in the Tools menu or click the tool botton in the tool bar.
You will see the message box which remind you to backup the server at first

Click Yes will goto the Crob FTP Server Backup Wizard and to backup the server at first.
Click No to remove the server you selected immediately and not to backup.

You can't delete default FTP server which is named "default". That's the server of system reserved
About Crob FTP Server Backup Wizard, refer to here.


How To Restore a Server Backup File

How To Restore a Server Badkup File?

If you have the server backup file, you can restore all the service information. That's easy to do it with Restore Server Wizard.

Select "Restore Server Wizard" in the tools menu.

Select a valid backup file which you created it by Backup Server Wizard

The default file ext is .cbk.

Input the password of backup file

If the backup file you selected dosen't use password safeguard, please keep it empty. Click next...

Check the service information in the backup file and finish the operation.

In the last page, to review the service infomation in the backup file,check it and select Finish button to restore the backup file. Click cancel to give up this operation.
About backup service infomation, refer to here.


How To Use Backup Server Wizard?

You can backup the server if necessary. You can get the backup file and restore the all server information from backup file in the future. The all information of server will be pack into the backup file. Also you can use encrpytion tachniques to keep the backup file secret.
Select "Backup Server Wizard" in the tools menu
Select a FTP server which you want to backup
Input the user name and restore password of backup file.

The user name is necessary. The password can keep empty if you don't want to encrypt the backup file.
Click Next button and go on.
Select a file name to save the backup file

If all step is ok, click ok to finish the operation.
Please check the backup file and store it in the safe way.
About restore backup file. refer to here.


How to Use Server Setting Wizard?

The Server Setting Wizard lead you to set some necessary settings step by step.
Select "Server Setting Wizard" in the Tools Menu
Select a FTP server which you want to set

All activity FTP server will be listed here. Select one and cleck Next button.
Set the FTP Server Port

To change the port of current FTP server. The port number must between 1 and 65536. Suggest to set into the stand port number.

Change the Home Directory

If you want to change the Home Directory of current server. Yelect a valid directory. Suggestion: Do not use directory which in the moveable disk.
Change the Basic Settings for current FTP Server

If you want to change more options of current FTP server. Go to the Server Settings page of server in the main server tree.

Check the Settings and Finish operation

Click Finish button and all settings you changed will be saved. If you want to give up the operation, click cancel


How to Use Server Setting Wizard?

The Server Setting Wizard lead you to set some necessary settings step by step.
Select "Server Setting Wizard" in the Tools Menu
Select a FTP server which you want to set

All activity FTP server will be listed here. Select one and cleck Next button.
Set the FTP Server Port

To change the port of current FTP server. The port number must between 1 and 65536. Suggest to set into the stand port number.

Change the Home Directory

If you want to change the Home Directory of current server. Select a valid directory.
Suggestion: Do not use directory which in the moveable disk.
Change the Basic Settings for current FTP Server

If you want to change more options of current FTP server. Go to the Server Settings page of server in the main server tree.

Check the Settings and Finish operation

Click Finish button and all settings you changed will be saved. If you want to give up the operation, click cancel